=== debian/changelog ===
webfs (1.17.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix more buffer overflows (CAN-2003-0833)
  * Disallow ".." as virtualhost name, to prevent file listing exposure
    (CAN-2003-0832)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Sep 2003 13:30:32 -0400

webfs (1.17.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch from Gerd Knorr to fix buffer overflow with a long
    Request-URI (CAN-2003-0445)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 19 Jun 2003 16:28:39 -0400

webfs (1.17) unstable; urgency=low

  * new release.
  * make config/postinst keep track whenever postinst has written the
    debconf values to the config file or not (closes: #117239).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 18 Mar 2002 20:06:31 +0100

webfs (1.16) unstable; urgency=low

  * new release (closes: #120334).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 20 Nov 2001 15:31:06 +0100

webfs (1.15) unstable; urgency=low

  * ran debconf-mergetemplates, #115082 is _really_ fixed now ...

 -- Gerd Knorr <kraxel@debian.org>  Wed, 24 Oct 2001 16:37:44 +0200

webfs (1.14) unstable; urgency=low

  * new release.
  * added missing webfsd/web_syslog description to the debconf
    template (closes: #115082).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 11 Oct 2001 10:24:37 +0200

webfs (1.13) unstable; urgency=low

  * new release.
  * added german debconf translations (closes: #100517).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 28 Jun 2001 12:16:16 +0200

webfs (1.12) unstable; urgency=low

  * fixed debian init script (closes: #98932).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 28 May 2001 09:24:51 +0200

webfs (1.11) unstable; urgency=low

  * new release.
  * updated the debconf scripts (closes: #96704, #97166)

 -- Gerd Knorr <kraxel@debian.org>  Mon, 21 May 2001 13:42:23 +0200

webfs (1.10) unstable; urgency=low

  * new release.
  * updated standards-version.
  * fixed dependences.

 -- Gerd Knorr <kraxel@debian.org>  Wed,  2 May 2001 14:40:30 +0200

webfs (1.9) unstable; urgency=low

  * new release.
  * fixed cut+paste bug in init script (closes: #87475)
  * the init script use the new pidfile option (closes: #87484)

 -- Gerd Knorr <kraxel@debian.org>  Fri,  2 Mar 2001 20:23:37 +0100

webfs (1.8) unstable; urgency=high

  * new release.
  * changed section from net to web
  * fixed tyops in the debian init script which (wrong switch
    for group setting which had the effect that webfs ran with
    group root. Oops.)

 -- Gerd Knorr <kraxel@debian.org>  Fri, 26 Jan 2001 19:46:28 +0100

webfs (1.7) unstable; urgency=low

  * new release
  * added start/stop script + debconf configuration

 -- Gerd Knorr <kraxel@debian.org>  Tue, 16 Jan 2001 23:49:24 +0100

webfs (1.6) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@debian.org>  Fri, 17 Nov 2000 22:40:33 +0100

webfs (1.5) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu, 17 Aug 2000 22:02:29 +0200

webfs (1.4) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat,  5 Aug 2000 20:46:14 +0200

webfs (1.3) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:13:15 +0200

webfs (1.2) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:12:50 +0200

webfs (1.1) unstable; urgency=low

  * debianized.

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat, 13 May 2000 21:06:03 +0200

Local variables:
mode: debian-changelog
End:
