=== debian/control ===
Source: webfs
Section: web
Priority: optional
Build-Depends: debhelper
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: webfs
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: lightweight http server for static content
 This is a simple http server for purely static content.  You
 can use it to serve the content of a ftp server via http for
 example.  It is also nice to export some files the quick way
 by starting a http server in a few seconds, without editing
 some config file first.
