=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_COMPAT=1
etcdir=$(shell echo `pwd`/debian/tmp/etc)
prefix=$(shell echo `pwd`/debian/tmp/usr)
mandir=$(prefix)/share/man/man1

build clean::
	$(MAKE) $@

clean::
	dh_clean

install: build
	$(MAKE) install prefix=$(prefix) mandir=$(mandir)
	mkdir -p $(etcdir)
	cp webfsd.conf $(etcdir)

binary-indep: install
	# nop

binary-arch: install
	dh_installdebconf	
	dh_installdocs README
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
