## webfs 1.21%2Bds1

=== debian/control ===
Source: webfs
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9), libgnutls28-dev, pkg-config, po-debconf
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.8
Homepage: http://linux.bytesex.org/misc/webfs.html

Package: webfs
Architecture: any
Depends: debconf | debconf-2.0, lsb-base (>= 3.2-14), ucf,
 ${misc:Depends}, ${shlibs:Depends}
Provides: httpd
Description: lightweight HTTP server for static content
 This package provides a simple web server for mostly static content,
 with limited CGI support (GET requests only).
 .
 Example uses include giving HTTP access to the contents of an FTP
 site, or exporting some files by quickly starting a web server
 without any need to edit configuration files first.
