## webfs 1.21+ds1

=== debian/changelog ===
webfs (1.21+ds1-9) unstable; urgency=low

  * CVE-2013-0347: Permissions of log file.
    + debian/patches/80_cve_2013_0347.diff: New file.
    + debian/webfs.postinst: Change stat-override, empty world access.
    + debian/webfs.logrotate: Add a specification "su".
    + debian/NEWS: Add a comment.
    + Closes: #701638.
  * Transmission of large files with TLS.
    + debian/patches/68_large_files.diff: New file.
    + Closes: #702660.
  * Incorporate translation updates from 1.21+ds1-8.1.
    Sincere thanks to Christian Perrier and translators;
    in particular Joe Hansen for the completely new Danish
    translation.
  * Debconf translation update:
    + Japanese (victory). Closes: #717705.
    + debian/po/ja.po: Update.
  * Implement hardened builds:
    + debian/rules: Compilation flags using dpkg-buildflags.
    + debian/patches/75_hardening_flags.diff: New file.
    + debian/control: Build depends on dpkg-dev (>= 1.15.7).
  * debian/webfs.init:
    * Adapt to LSB message passing, suggested by Trent W. Buck.
    * Implement "status" command.  Make "start" and "stop" idempotent.
    * Minor shell code clean up.
  * debian/control:
    + Standards 3.9.4; no changes.
    + Binary dependency on lsb-base (>= 3.2-14).
  * debian/rules:
    + Run verbose compiler stage: "verbose=yes".
    + [lintian] Trivial targets build-arch, build-indep.
  * debian/copyright:
    + Field names and URL conform to DEP-5, version 1.0.
    + Make a separate GPL-2+ license description, referenced twice.
  * debian/patches/63_gnutls.diff: Insert a single pointer cast.
  * debian/local/create_cert.sh: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 13 Dec 2013 19:22:21 +0100

webfs (1.21+ds1-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #660368
    - Dutch; (Jeroen Schot).  Closes: #661680

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 May 2012 07:20:27 +0200

webfs (1.21+ds1-8) unstable; urgency=low

  * Regressions on previous package version.
    + debian/postrm: Test on full path.
    + debian/postinst: Full path and temporary file copy.
    + Closes: #605690, #605691.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 02 Dec 2010 22:34:44 +0100

webfs (1.21+ds1-7) unstable; urgency=low

  * Violation of Policy 10.7.3: Config file.
    + Use `ucf' for updating configuration.
    + d/control: Depend on "ucf".
    + d/rules: Install conffile as "/usr/share/webfs/webfsd.conf.auto".
    + d/webfs.postinst: Copy old conffile, do all updating on the file
      "webfs.conf.auto", and register the result using "ucf" and "ucfr".
    + d/webfs.postrm: Purge with support of "ucfr" and "ucf".
    + Closes: #603926.
  * FTBFS when using "binutils-gold".
    + Explicitly add "-lgcrypt" to LDFLAGS.
    + debian/patches/63_gnutls.diff: Updated file.
    + Contributed by Roy Jamison. Origin LP: #665276.
    + Closes: #601044.
  * debian/webfs.init: Remove `$named' from Required-Start
      and from Required-Stop.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 30 Nov 2010 19:51:04 +0100

webfs (1.21+ds1-6) unstable; urgency=low

  * Upgrade standard from 3.8.4 to 3.9.1: No changes.
  * debian/po/cs.po: Updated file.
    + Thanks to Miroslav Kure for the updated translation.
    + Closes: #599945.
  * debian/po/ja.po: Renamed from incorrect "jp.po".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 20 Oct 2010 10:15:27 +0200

webfs (1.21+ds1-5) unstable; urgency=low

  * debian/patches/63_gnutls.diff: Updated file.
    + Execute 'gnutls_*_deinit' inside a conditional block.
    + Closes: #577241

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 10 Jun 2010 08:58:00 +0200

webfs (1.21+ds1-4) unstable; urgency=low

  * Incorrect determination of group access, an old bug.
    + debian/patches/70_group_access.diff: New file.
    + debian/NEWS: Mention the vulnerability.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Apr 2010 15:10:37 +0200

webfs (1.21+ds1-3) unstable; urgency=low

  * Prepare for better failure checks:
    + debian/patches/60_error_trapping.diff: New file.
  * Implement support for GnuTLS, replacing support for OpenSSL:
    + Closes: #395873.
    + debian/patches/63_gnutls.diff: New file.
    + debian/Make.config: Add macro USE_GNUTLS.
    + debian/control: Build depends on libgnutls-dev.
  * Improved usage of capacities offered by libgnutls:
    + debian/patches/66_further_gnutls.diff: New file.
  * debian/webfs.examples: New file.
    + debian/local/create_cert.sh: Generator of test certificates.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #572604
    + debian/po/en.po: Deleted trivial placeholder. Closes: #573121
  * [Debconf translation updates]
    + Work coordinated by Christian Perrier.
    + Vietnamese (Clytie Siddall).  Closes: #573169
    + Russian (Yuri Kozlov). Closes: #569979, #573196
    + Norwegian Bokmaal (Bjoern Steensrud). Closes: #573342
    + Polish (Wiktor Wandachowicz).  Closes: #573647
    + Swedish (Martin Bagge).  Closes: #574251
    + French (Christian Perrier).  Closes: #574367
    + Portuguese (Pedro Ribeiro).  Closes: #574865
    + Spanish (Francisco Javier Cuadrado).  Closes: #574952
    + Italian (Vincenzo Campanella).  Closes: #575100
    + German (Martin Eberhard Schauer).  Closes: #575172
  * debian/webfs.init:
    + At 'stop' and 'restart', make sure the old PID-file is removed.
    + debian/webfs.prerm: Workaround for outdated init-scripts.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 31 Mar 2010 15:31:57 +0200

webfs (1.21+ds1-2) unstable; urgency=low

  * Listening to dual protocols unless told otherwise:
    + debian/patches/55_sockopt_v6only.diff: New file. (Closes: #567524)
  * [lintian]: maintainer-script-without-set-e

