=== debian/control ===
Source: webfs
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7), po-debconf,
 libgnutls-dev
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.4
Homepage: http://linux.bytesex.org/misc/webfs.html

Package: webfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0,
 ucf, lsb-base (>= 3.2-14)
Provides: httpd
Description: lightweight HTTP server for static content
 This package provides a simple web server for mostly static content,
 with limited CGI support (GET requests only).
 .
 Example uses include giving HTTP access to the contents of an FTP
 site, or exporting some files by quickly starting a web server
 without any need to edit configuration files first.
