=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://dl.bytesex.org/releases/webfs/webfs-([\d\.]+).tar.gz debian uupdate
